Nebul Docs

Embeddings

POST
/v1/embeddings

Follows the exact same API spec as OpenAI's Embeddings API https://platform.openai.com/docs/api-reference/embeddings

curl -X POST https://api.inference.nebul.io/v1/embeddings -H "Content-Type: application/json" -H "Authorization: Bearer sk-1234" -d '{    "model": "sentence-transformers/all-MiniLM-L6-v2",    "input": "The quick brown fox jumps over the lazy dog"}'

Authorization

X-API-Key<token>

Project-scoped Nebul API key. Also accepted as Authorization: Bearer <key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{    "model": "string"  }'
null